package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.List;

/**
 * 对应数据库表(sys_area):
 */
public class SysArea {

	/**  */
	private Integer id;
	
	/** 名称 */
	@ApiModelProperty(value = "名称",required = false)
	private String name;
	
	/** 编码 */
	@ApiModelProperty(value = "编码",required = false)
	private Integer code;
	
	/** 创建时间 */
	private java.util.Date createTime;
	
	/** 修改时间 */
	private java.util.Date updateTime;
	
	/** 是否删除  -1：已删除  0：正常 */
	@ApiModelProperty(value = "是否删除",required = false)
	private YesOrNoEnum delFlag;
	
	/** 父节点编号 */
	@ApiModelProperty(value = "父节点编号",required = false)
	private Integer parentOrganId;

	@ApiModelProperty(value = "子节点列表",required = false)
	private List<SysArea> areas;

	public List<SysArea> getAreas() {
		return areas;
	}

	public void setAreas(List<SysArea> areas) {
		this.areas = areas;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setCode(Integer code){
		this.code = code;
	}
	
	public Integer getCode(){
		return this.code;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setDelFlag(YesOrNoEnum delFlag){
		this.delFlag = delFlag;
	}
	
	public YesOrNoEnum getDelFlag(){
		return this.delFlag;
	}
			
	public void setParentOrganId(Integer parentOrganId){
		this.parentOrganId = parentOrganId;
	}
	
	public Integer getParentOrganId(){
		return this.parentOrganId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
